Bug Hunting Session
Bug 119036 - Inserting columns into Right-To-Left sheets will add them to the wrong side
Summary: Inserting columns into Right-To-Left sheets will add them to the wrong side
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium minor
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2018-08-01 12:13 UTC by Levi Natan
Modified: 2018-09-06 13:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
right click menu screen shot (23.23 KB, image/png)
2018-08-01 12:13 UTC, Levi Natan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Levi Natan 2018-08-01 12:13:01 UTC
Created attachment 143882 [details]
right click menu screen shot

On Right-To-Left sheet
When you tring to insert new column by right click  -> Insert columns left - its insert to right.
And when you click on -> Insert columns right - its adding to left.
Comment 1 Buovjaga 2018-09-01 15:34:55 UTC
Repro.

The insert left/right commands are not found in the oldest versions.

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: 1c59d021b3dd27c8c0255312bd0d53ad25965bab
CPU threads: 8; OS: Linux 4.18; UI render: default; VCL: gtk3_kde5; 
Locale: fi-FI (fi_FI.UTF-8); Calc: threaded
Built on September 1st 2018
Comment 2 Eyal Rozenberg 2018-09-01 16:35:39 UTC
This is not quite a "bug", more like a faulty assumption in the choice of words. Actually, what LO implements is "Insert Column Before" and "Insert Column After" - and in LTR sheets, To the Left = Before and To the Right = After.

Now, one of two things should happen: Either the feature be altered to actually insert to the left / to the right, or the text be altered according to what the feature does.
Comment 3 Eyal Rozenberg 2018-09-01 16:39:27 UTC
Also, it's the exact same issues with Tables in LO Writer - if they're Right-to-Left-directed.

I'm in favor of altering the text to say After/Before, because it sounds better alongside Above/Below.
Comment 4 Buovjaga 2018-09-01 16:55:10 UTC
Heiko: you just did a similar change for Writer table row inserts, so throwing this to your lap.
Comment 5 Heiko Tietze 2018-09-05 09:46:21 UTC
We changed the before/after thing in Writer to left/right recently. And the icons are pointing towards left and right, so I think the better approach is to switch left/right in case of RTL. The patch is here https://gerrit.libreoffice.org/#/c/60022/, review pending.
Comment 6 Heiko Tietze 2018-09-06 09:42:53 UTC
The patch was not good so we changed now the captions to Before/After (accordingly at Writer too).
Comment 7 Commit Notification 2018-09-06 13:32:44 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e75c8384c4663b0603a30f66d0d8e390d03a3bf6

tdf#119036 - Inserting columns into RTL sheets will add them to the wrong side

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.